/* Dawicontrol DC-622e RAID Linux driver, 08.06.2023

   Copyright (C) 2022-2023 Dawicontrol Computersysteme GmbH
  
   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License version 2 as published 
   by the Free Software Foundation.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
   for more details.

   You should have received a copy of the GNU General Public License along 
   with this program; if not, write to the Free Software Foundation, Inc.,
   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

#include <linux/init.h>
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/pci.h>
#include <linux/delay.h>
#include <linux/dma-mapping.h>
#include <linux/timer.h>
#include <linux/interrupt.h>
#include <scsi/scsi.h>
#include <scsi/scsi_host.h>
#include <scsi/scsi_cmnd.h>
#include <scsi/scsi_device.h>
#include <linux/proc_fs.h>
#include <linux/version.h>


/****************************************************************************/
/*      Controllertype specific                                             */
/****************************************************************************/

#define my_name             "dc622e"
#define my_description      "DC-622e RAID Driver"

#define my_number_of_ports  2
#define my_max_segment_size 0x400000    // max bytecount within SG-entry
#define my_dma_boundary     0xffffffff  // dont cross within SG-entry


static const struct pci_device_id my_pci_ids[] =
{
    { PCI_DEVICE_SUB(0x1b4b, 0x9182, 0xdc93, 0x622e) },
    { PCI_DEVICE_SUB(0x1b4b, 0x622e, 0xdc93, 0x622e) },
    { 0 }
};

/****************************************************************************/
/*      Include the generic driver                                          */
/****************************************************************************/

#include "dcmodule.c"
